Get an app
curl --request GET \
--url https://api.storiza.store/apps/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/apps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/apps/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "App",
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Survival",
"hostname": "mc-survival",
"type": "game_server",
"owner": {
"id": "00000000-0000-4000-8000-000000000000"
},
"subscription": {
"id": "00000000-0000-4000-8000-000000000000",
"status": "active",
"user": {
"id": "00000000-0000-4000-8000-000000000000"
},
"provider": "balance",
"method": "balance",
"amount": "12",
"currency": "USD",
"durationDays": 30,
"currentPeriodEnd": "2026-10-09T14:57:33.877Z",
"supportsManagement": false,
"metadata": {}
},
"node": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Kansas City 01",
"slug": "appsus001",
"description": "",
"city": "Kansas City",
"countryCode": "US",
"region": "US",
"state": "active",
"fqdn": "node-appsus001.storiza.app",
"createdAt": "2026-10-09T14:57:33.856Z",
"schedulable": true
},
"template": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Minecraft (Paper)",
"slug": "minecraft-paper",
"type": "app",
"tags": [],
"versions": [
{
"name": "latest",
"image": "itzg/minecraft-server",
"tag": "latest"
},
{
"name": "1.20",
"description": "Pinned to Minecraft 1.20",
"image": "itzg/minecraft-server",
"tag": "java17",
"environment": [
{
"key": "VERSION",
"default": "1.20.4",
"mutable": false
}
]
}
],
"defaultVersion": "latest",
"mountPoint": "/data",
"exposures": [
{
"name": "game",
"type": "minecraft",
"containerPort": 25565,
"description": "Minecraft client port",
"required": true
},
{
"name": "rcon",
"type": "tcp",
"containerPort": 25575,
"description": "Remote console",
"required": false
}
],
"environmentVariables": [
{
"key": "EULA",
"default": "TRUE",
"mutable": false
},
{
"key": "MEMORY",
"default": "2G",
"mutable": true
}
],
"isCommandManaged": true,
"stdin": true,
"tty": false,
"shell": "/bin/sh",
"fileAccessAllowed": true,
"backup": {
"mechanism": "volume"
},
"isActive": true,
"isPublic": true,
"isPopular": false,
"createdAt": "2026-10-09T14:57:33.872Z",
"availableVersions": [
"latest",
"1.20"
],
"requiredPortCount": 1,
"hasHTTP": false
},
"version": "latest",
"plan": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "standard-2",
"type": "app",
"category": "standard",
"price": "5",
"duration": "2592000000",
"memoryMB": 2048,
"mcpu": 2000,
"storageMB": 20480,
"pidsLimit": 512,
"maxPorts": 4,
"maxBackups": 3,
"customDomainsAllowed": true,
"maxDomains": 1,
"isActive": true,
"isPublic": true,
"isPopular": false,
"createdAt": "2026-10-09T14:57:33.864Z"
},
"group": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "backend",
"ownerId": "00000000-0000-4000-8000-000000000000",
"nodeId": "00000000-0000-4000-8000-000000000000",
"createdAt": "2026-10-09T14:57:33.860Z"
},
"state": "running",
"volumeQuotaMB": 0,
"sftpUsername": "app-mc-survival",
"createdAt": "2026-10-09T14:57:33.884Z",
"sftpEnabled": true
}
}Apps
Get an app
Get one app, including its live container status as reported by the node. If the node is unreachable the desired state is still returned — an outage must not look like a missing app.
Required API key permission: apps:read
GET
/
apps
/
{id}
Get an app
curl --request GET \
--url https://api.storiza.store/apps/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/apps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/apps/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "App",
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Survival",
"hostname": "mc-survival",
"type": "game_server",
"owner": {
"id": "00000000-0000-4000-8000-000000000000"
},
"subscription": {
"id": "00000000-0000-4000-8000-000000000000",
"status": "active",
"user": {
"id": "00000000-0000-4000-8000-000000000000"
},
"provider": "balance",
"method": "balance",
"amount": "12",
"currency": "USD",
"durationDays": 30,
"currentPeriodEnd": "2026-10-09T14:57:33.877Z",
"supportsManagement": false,
"metadata": {}
},
"node": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Kansas City 01",
"slug": "appsus001",
"description": "",
"city": "Kansas City",
"countryCode": "US",
"region": "US",
"state": "active",
"fqdn": "node-appsus001.storiza.app",
"createdAt": "2026-10-09T14:57:33.856Z",
"schedulable": true
},
"template": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Minecraft (Paper)",
"slug": "minecraft-paper",
"type": "app",
"tags": [],
"versions": [
{
"name": "latest",
"image": "itzg/minecraft-server",
"tag": "latest"
},
{
"name": "1.20",
"description": "Pinned to Minecraft 1.20",
"image": "itzg/minecraft-server",
"tag": "java17",
"environment": [
{
"key": "VERSION",
"default": "1.20.4",
"mutable": false
}
]
}
],
"defaultVersion": "latest",
"mountPoint": "/data",
"exposures": [
{
"name": "game",
"type": "minecraft",
"containerPort": 25565,
"description": "Minecraft client port",
"required": true
},
{
"name": "rcon",
"type": "tcp",
"containerPort": 25575,
"description": "Remote console",
"required": false
}
],
"environmentVariables": [
{
"key": "EULA",
"default": "TRUE",
"mutable": false
},
{
"key": "MEMORY",
"default": "2G",
"mutable": true
}
],
"isCommandManaged": true,
"stdin": true,
"tty": false,
"shell": "/bin/sh",
"fileAccessAllowed": true,
"backup": {
"mechanism": "volume"
},
"isActive": true,
"isPublic": true,
"isPopular": false,
"createdAt": "2026-10-09T14:57:33.872Z",
"availableVersions": [
"latest",
"1.20"
],
"requiredPortCount": 1,
"hasHTTP": false
},
"version": "latest",
"plan": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "standard-2",
"type": "app",
"category": "standard",
"price": "5",
"duration": "2592000000",
"memoryMB": 2048,
"mcpu": 2000,
"storageMB": 20480,
"pidsLimit": 512,
"maxPorts": 4,
"maxBackups": 3,
"customDomainsAllowed": true,
"maxDomains": 1,
"isActive": true,
"isPublic": true,
"isPopular": false,
"createdAt": "2026-10-09T14:57:33.864Z"
},
"group": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "backend",
"ownerId": "00000000-0000-4000-8000-000000000000",
"nodeId": "00000000-0000-4000-8000-000000000000",
"createdAt": "2026-10-09T14:57:33.860Z"
},
"state": "running",
"volumeQuotaMB": 0,
"sftpUsername": "app-mc-survival",
"createdAt": "2026-10-09T14:57:33.884Z",
"sftpEnabled": true
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Path Parameters
Response
App
Available options:
true Available options:
App Schema for App model
Show child attributes
Show child attributes
Example:
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "Survival",
"hostname": "mc-survival",
"type": "game_server",
"owner": {
"id": "00000000-0000-4000-8000-000000000000"
},
"subscription": {
"id": "00000000-0000-4000-8000-000000000000"
},
"node": {
"id": "00000000-0000-4000-8000-000000000000"
},
"template": {
"id": "00000000-0000-4000-8000-000000000000"
},
"version": "latest",
"plan": {
"id": "00000000-0000-4000-8000-000000000000"
},
"group": null,
"state": "running",
"sftpUsername": "app-mc-survival",
"createdAt": "2026-10-09T14:57:33.884Z"
}
Was this page helpful?